# ZK TLS Python SDK

A Python SDK that provides seamless integration with Primus Labs' Zero-Knowledge TLS protocol. This SDK wraps the official `@primuslabs/zktls-core-sdk` Node.js package, enabling Python applications to leverage secure attestations and proxy TLS functionality.

## Key Features

- 🔐 **Zero-Knowledge Attestations**: Create and verify attestations without exposing sensitive data
- 🌐 **Proxy TLS Support**: Secure communication channel for attestation requests
- ⛓️ **Ethereum Integration**: Sign attestations using Ethereum private keys
- 🔄 **Async/Await Pattern**: Modern Python async programming model
- 🛡️ **Type Safety**: Comprehensive type hints for reliable development
- 🔍 **Health Checks**: Automatic Node.js process management
- ⚡ **High Performance**: Efficient subprocess communication

## Quick Links

- [Documentation](https://github.com/pkjha527/zktls-py-sdk/wiki)
- [Installation Guide](https://github.com/pkjha527/zktls-py-sdk#installation)
- [Usage Examples](https://github.com/pkjha527/zktls-py-sdk#quick-start)
- [Contributing Guidelines](https://github.com/pkjha527/zktls-py-sdk/blob/main/CONTRIBUTING.md)

## Tech Stack

- Python 3.8+
- Node.js 14+
- asyncio
- Ethereum Web3
- pytest

## License

MIT License - Free and open-source software
