# ZK TLS Python SDK Wiki

Welcome to the ZK TLS Python SDK documentation! This SDK provides a Python interface to Primus Labs' Zero-Knowledge TLS protocol through their official Node.js SDK.

## Quick Navigation

- [Installation Guide](Installation)
- [Getting Started](Getting-Started)
- [API Reference](API-Reference)
- [Examples](Examples)
- [Troubleshooting](Troubleshooting)
- [Contributing](Contributing)

## Overview

The ZK TLS Python SDK enables Python applications to:
- Create and verify zero-knowledge attestations
- Establish secure proxy TLS connections
- Sign attestations using Ethereum keys
- Process attestation responses

## Architecture

The SDK follows a layered architecture:
1. **Python Interface Layer**: Async Python API for application integration
2. **Node.js Bridge**: Manages communication with the core SDK
3. **Core SDK Layer**: Primus Labs' official Node.js implementation

## Support

- 📧 [Report Issues](https://github.com/pkjha527/zktls-py-sdk/issues)
- 💬 [Discussions](https://github.com/pkjha527/zktls-py-sdk/discussions)
- 📚 [API Documentation](API-Reference)
